#ifndef __LOAD_CONST_H
#define __LOAD_CONST_H

#define LOAD_CONSTANT(param, var) asm("%0 = " param " ll" : "=r"(var))

#endif // !__LOAD_CONST_H

static __always_inline __u64 load_kernel_version()
{
    __u64 var = 0;
    LOAD_CONSTANT("kernel_version", var);
    return var;
}

static __always_inline __u32 load_filter_pid()
{
    __u32 var = 0;
    LOAD_CONSTANT("filter_pid", var);
    return var;
}